summaryrefslogtreecommitdiff
path: root/src/pm-powersave.in
diff options
context:
space:
mode:
Diffstat (limited to 'src/pm-powersave.in')
-rwxr-xr-xsrc/pm-powersave.in37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/pm-powersave.in b/src/pm-powersave.in
new file mode 100755
index 0000000..5611586
--- /dev/null
+++ b/src/pm-powersave.in
@@ -0,0 +1,37 @@
+#!/bin/sh
+# vim:noexpandtab
+# Simple powersave script
+#
+# Copyright 2006 Red Hat, Inc.
+#
+# Based on work from:
+# Bill Nottingham <notting@redhat.com>
+# Peter Jones <pjones@redhat.com>
+# David Zeuthen <davidz@redhat.com>
+# Richard Hughes <richard@hughsie.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+POWERSAVE_LOGFILE="/dev/null"
+PM_FUNCTIONS="/usr/lib/pm-utils/functions"
+. "${PM_FUNCTIONS}"
+
+if [ "x$1" = "xtrue" -o "x$1" = "xfalse" ] ; then
+ init_logfile "${POWERSAVE_LOGFILE}"
+ run_hooks power "$1"
+else
+ echo "Argument needs to be true or false" >&2
+ exit 1
+fi